%global _empty_manifest_terminate_build 0
Name:		python-Flask-APScheduler
Version:	1.12.4
Release:	1
Summary:	Adds APScheduler support to Flask
License:	Apache-2.0
URL:		https://github.com/viniciuschiele/flask-apscheduler
Source0:        https://files.pythonhosted.org/packages/fe/c7/7a084d2139a86c0dda9b50a4c2f8e9031640e30d25c2ab49474a7f3ca5cc/Flask-APScheduler-%{version}.tar.gz
BuildArch:	noarch

%description
Adds APScheduler support to Flask.

%package -n python3-Flask-APScheduler
Summary:	Adds APScheduler support to Flask
Provides:	python-Flask-APScheduler
BuildRequires:	python3-devel python3-setuptools

%description -n python3-Flask-APScheduler
Adds APScheduler support to Flask.

%package help
Summary:	Development documents and examples for Flask-APScheduler
Provides:	python3-Flask-APScheduler-doc
%description help
Development documents and examples for Flask-APScheduler.

%prep
%autosetup -n Flask-APScheduler-%{version} -p1

%build
%py3_build

%install
%py3_install
install -d -m755 %{buildroot}/%{_pkgdocdir}
if [ -d doc ]; then cp -arf doc %{buildroot}/%{_pkgdocdir}; fi
if [ -d docs ]; then cp -arf docs %{buildroot}/%{_pkgdocdir}; fi
if [ -d example ]; then cp -arf example %{buildroot}/%{_pkgdocdir}; fi
if [ -d examples ]; then cp -arf examples %{buildroot}/%{_pkgdocdir}; fi
pushd %{buildroot}
if [ -d usr/lib ]; then
	find usr/lib -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/lib64 ]; then
	find usr/lib64 -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/bin ]; then
	find usr/bin -type f -printf "/%h/%f\n" >> filelist.lst
fi
if [ -d usr/sbin ]; then
	find usr/sbin -type f -printf "/%h/%f\n" >> filelist.lst
fi
touch doclist.lst
if [ -d usr/share/man ]; then
	find usr/share/man -type f -printf "/%h/%f.gz\n" >> doclist.lst
fi
popd
mv %{buildroot}/filelist.lst .
mv %{buildroot}/doclist.lst .

%files -n python3-Flask-APScheduler -f filelist.lst
%dir %{python3_sitelib}/*
%doc LICENSE

%files help -f doclist.lst
%{_pkgdocdir}

%changelog
* Wed Jun 29 2022 yaoxin <yaoxin30@h-partners.com> - 1.12.4-1
- Update to 1.12.4

* Wed May 18 2022 liukuo <liukuo@kylinos.cn> - 1.11.0-2
- License compliance rectification

* Mon Jun 22 2020 Python_Bot <Python_Bot@openeuler.org>
- Package Spec generated
